<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
        <!-- service de sauvegarde Bacula -->
        <file filelist='spip_bacula' name='/etc/bacula/baculafichiers.d/spip.conf' source='spip-bacula.conf' rm='True'/>
        <file filelist='spip_files' name='/usr/share/eole/mysql/spip/gen/spip-create.sql' rm='True' mkdir='True'/>
        <file filelist='spip_files' name='/usr/share/eole/mysql/spip/updates/spip-update.sql' rm='True' mkdir='True'/>
    </files>
    <containers>
        <container name='web'>
            <package>spipeva-apps</package>
            <!-- services de configuration apache -->
            <service method="apache" servicelist="spip">spip</service>
            <!-- fichier de configuration de apache -->
            <file filelist='spip_files' name='/etc/apache2/sites-available/spip' source='spip-apache.conf'/>
            <file filelist='spip_files' name='/var/www/html/spip/config/connect.php' source='spip-connect.php' rm='True'/>
            <file filelist='spip_files' name='/var/www/html/spip/config/ldap.php' source='spip-ldap.php' rm='True'/>
        </container>
    </containers>
    <variables>
        <family name='applications web'>
            <variable name='activer_spip' type='oui/non' description='Activer SPIP-Eva (gestion de contenu)'>
                <value>oui</value>
            </variable>
        </family>
    </variables>
    <constraints>
        <condition name='hidden_if_in' source='activer_spip'>
            <param>non</param>
            <target type='filelist'>spip_files</target>
            <target type='servicelist'>spip</target>
        </condition>
        <condition name='hidden_if_in' source='activer_apache'>
            <param>non</param>
            <target type='filelist'>spip_files</target>
            <target type='servicelist'>spip</target>
        </condition>
        <condition name='hidden_if_in' source='activer_bacula_dir' fallback='True'>
            <param>non</param>
            <target type='filelist'>spip_bacula</target>    
        </condition>
    </constraints>
    <help>
        <variable name='activer_spip'>SPIP est un outil de gestion de contenu (CMS), il est installé avec le squelette Eva</variable>
    </help>
</creole>
